WPParserInternal::State Struct Reference

Internal: the state of a WPParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
WindowsInfo | m_windows [3]
| the information ( 0: main, 1: header, 2: footer) More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a WPParser.

## Constructor & Destructor Documentation

WPParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int WPParserInternal::State::m_actPage

the actual page

int WPParserInternal::State::m_footerHeight

the footer height if known

int WPParserInternal::State::m_headerHeight

the header height if known

int WPParserInternal::State::m_numPages

the number of page of the final document

WindowsInfo WPParserInternal::State::m_windows[3]

the information ( 0: main, 1: header, 2: footer)

The documentation for this struct was generated from the following file:

- WPParser.cxx